Subject: Re: [dhcwg] Client identification clarification

From: Ralph Droms <[email-masked]>
Date: Wed, 10 Oct 2001 10:26:49 -0400

The DUID uniquely identifies a client, but gives no additional information 
about a client.

The DHCPv6 server can make decisions about how to assign addresses based on 
any other available information: what other options the client has 
requested, what link the client is attached to, etc.

DHCPv4 a "Vendor class identifier" option, through which a client can pass 
more information to the server.   We haven't defined a "Vendor class 
identifier" for DHCPv6.  If there is interest, we can consider adding it to 
the spec doc.

- Ralph

At 10:05 AM 9/20/2001 +0200, Guja, ArturX wrote:
>Ok, here comes another one :)))
>
>Questions:
>How does the server identify the client? How does it choose
>what address to assign to the client?
>
>How I understood the answers:
>The clients sends a DUID option, that's clear (although the
>nature of the DUID is still unspecified, let's assume I've got
>random numbers or ethernet addresses as DUIDs). Fine.
>
>A client binding is a <DUID, IAID> tuple. Fine.
>
>So does it suffice, if a server has an address range, eg:
>from 2000:: to 2000::ffff and assigns hose addresses to
>all clients requesting them.
>
>Or should there be some other distinction? What I'm looking
>here for is some way to let the administrator manage the
>addresses in a better way.
>
>One thing, though: The server does not know anything else
>about the client, apart from the DUID and IAID. Or does it???
>
>Thank you all for your help here :)))
>
>Artur G.
>
>_______________________________________________
>dhcwg mailing list
>[email-masked]
>http://www1.ietf.org/mailman/listinfo/dhcwg

_______________________________________________
dhcwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/dhcwg